<?php
require ("Conexion/Conexion.php");
require ("lib/lib.php");
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	
	if($_POST['FlotillaID'] != ''){
		if(preg_match("/^[[:digit:]]+$/", $_POST['FlotillaID'])){
			if($_POST['LI'] != ''){
				if($_POST['LF'] != ''){
					if(preg_match("/^[[:digit:]]+$/", $_POST['LI']) && preg_match("/^[[:digit:]]+$/", $_POST['LF'])){
						if($_POST['MaI'] != ''){
							if($_POST['MaF'] != ''){
								if(preg_match("/^[[:digit:]]+$/",$_POST['MaI']) && preg_match("/^[[:digit:]]+$/",$_POST['MaF'])){
									if($_POST['MiI'] != ''){
										if($_POST['MiF'] != ''){
											if(preg_match("/^[[:digit:]]+$/", $_POST['MiI']) && preg_match("/^[[:digit:]]+$/", $_POST['MiF'])){
												if($_POST['JI'] != ''){
													if($_POST['JF'] != ''){
														if(preg_match("/^[[:digit:]]+$/",$_POST['JI']) && preg_match("/^[[:digit:]]+$/",$_POST['JF'])){
															if($_POST['VI'] != ''){
																if($_POST['VF'] != ''){
																	if(preg_match("/^[[:digit:]]+$/", $_POST['VI']) && preg_match("/^[[:digit:]]+$/", $_POST['VF'])){
																		if($_POST['SI'] != ''){
																			if($_POST['SF'] != ''){
																				if(preg_match("/^[[:digit:]]+$/", $_POST['SI']) & preg_match("/^[[:digit:]]+$/", $_POST['SF'])){
																					if($_POST['DI'] != ''){
																						if($_POST['DF'] != ''){
																							if(preg_match("/^[[:digit:]]+$/", $_POST['DI']) && preg_match("/^[[:digit:]]+$/", $_POST['DF'])){
																							
																								$Lunes = Rangos($_POST['LI'], $_POST['LF']+1);
																								$Martes = Rangos($_POST['MaI'], $_POST['MaF']+1);
																								$Miercoles = Rangos($_POST['MiI'], $_POST['MiF']+1);
																								$Jueves = Rangos($_POST['JI'], $_POST['JF']+1);
																								$Viernes = Rangos($_POST['VI'], $_POST['VF']+1);
																								$Sabado = Rangos($_POST['SI'], $_POST['SF']+1);
																								$Domingo = Rangos($_POST['DI'], $_POST['DF']+1);
																								$FlotillaID = $_POST['FlotillaID'];
																								$ClienteID = $_SESSION['ClienteID'];
																								
																								$VerificarFlotilla = mssql_query("SELECT * FROM Vehiculo WHERE VehiculoID = '$FlotillaID' AND ClienteID = '$ClienteID'");
																								if(mssql_num_rows($VerificarFlotilla) >= 1){
																									$UpdateHorarios = mssql_query("UPDATE Vehiculo SET Lunes = '$Lunes', Martes = '$Martes',
																									Miercoles = '$Miercoles', Jueves = '$Jueves', Viernes = '$Viernes', Sabado = '$Sabado',
																									Domingo = '$Domingo' WHERE VehiculoID = '$FlotillaID' ");
																									echo "<p class='success'>Los Horarios de la Flotilla han sido actualizados satisfactoriamente!</p>";	
																									echo "<script>$.growlUI('Horario Actualizado', 'Satisfactoriamente!');</script>";
																								}else
																									echo "<p class='error'>El No. de la Flotilla seleccionada no existe, rectifique los datos!</p>";
																							}else
																								echo "<p class='error'>El rango del dia Jueves es Domingo!</p>";
																						}else
																							echo "<p class='error'>Seleccione el rango para el dia Domingo!</p>";
																					}else
																						echo "<p class='error'>Seleccione el rango para el dia Domingo!</p>";
																				}else
																					echo "<p class='error'>El rango del dia Sabado es inválido!</p>";
																			}else
																				echo "<p class='error'>Seleccione el rango para el dia Sabado!</p>";
																		}else
																			echo "<p class='error'>Seleccione el rango para el dia Sabado!</p>";
																	}else
																		echo "<p class='error'>El rango del dia Viernes es inválido!</p>";
																}else
																	echo "<p class='error'>Seleccione el rango para el dia Viernes!</p>";
															}else
																echo "<p class='error'>Seleccione el rango para el dia Viernes!</p>";
														}else
															echo "<p class='error'>El rango del dia Jueves es inválido!</p>";
													}else
														echo "<p class='error'>Seleccione el rango para el dia Jueves!</p>";
												}else
													echo "<p class='error'>Seleccione el rango para el dia Jueves!</p>";
											}else
												echo "<p class='error'>El rango del dia Miercoles es inválido!</p>";
										}else
											echo "<p class='error'>Seleccione el rango para el dia Miercoles!</p>";
									}else
										echo "<p class='error'>Seleccione el rango para el dia Miercoles!</p>";
								}else
									echo "<p class='error'>El rango del dia Martes es inválido!</p>";
							}else
								echo "<p class='error'>Seleccione el rango para el dia Martes!</p>";
						}else
							echo "<p class='error'>Seleccione el rango para el dia Martes!</p>";
					}else
						echo "<p class='error'>El rango del dia lunes es inválido!</p>";
				}else
					echo "<p class='error'>Seleccione el rango para el dia Lunes!</p>";
			}else
				echo "<p class='error'>Seleccione el rango para el dia Lunes!</p>";
		}else
			echo "<p class='error'>La Flotilla seleccionada no es válida!</p>";
	}else
		echo "<p class='error'>Selecione la Flotilla a actualizar sus Horarios!</p>";
}
?>